import * as Helpers from 'helpers';
import * as Common from './common';
import * as Services from './services';
declare function init(deps: Helpers.DependencyType): {
    createAtomicAsset: (args: Helpers.AssetCreateArgsType, callback?: (status: any) => void) => Promise<string>;
    getAtomicAsset: (id: string) => Promise<Helpers.AssetDetailType | null>;
    getAtomicAssets: typeof Services.getAtomicAssets;
    createComment: (args: Helpers.CommentCreateArgType, callback?: (status: any) => void) => Promise<string>;
    getComment: (id: string) => Promise<Helpers.CommentDetailType | null>;
    getComments: (args: {
        parentId?: string;
        rootId?: string;
    }) => Promise<{
        content: string;
        dataSource: string;
        rootSource: string;
        id: string;
        owner: string | null;
        creator: string | null;
        name: string | null;
        description: string | null;
        type: string | null;
        topics: string[] | null;
        implementation: string | null;
        contentType: string | null;
        renderWith: string | null;
        thumbnail: string | null;
        udl: Helpers.UDLicenseType | null;
        collectionId: string | null;
        dateCreated: number | null;
        blockHeight: number | null;
        tags?: Helpers.TagType[];
    }[]>;
    createCollection: (args: {
        title: string;
        description: string;
        creator: string;
        banner: any;
        thumbnail: any;
    }, callback?: (status: any) => void) => Promise<string>;
    updateCollectionAssets: (args: {
        collectionId: string;
        assetIds: string[];
        creator: string;
        updateType: "Add" | "Remove";
    }) => Promise<string>;
    getCollection: (collectionId: string) => Promise<Helpers.CollectionDetailType | null>;
    getCollections: (args: {
        creator?: string;
    }) => Promise<Helpers.CollectionType[] | null>;
    resolveTransaction: (data: any) => Promise<any>;
    getGQLData: typeof Common.getGQLData;
    createProcess: (args: Helpers.ProcessCreateType, statusCB?: (status: any) => void) => Promise<string>;
    readProcess: (args: Helpers.MessageSendType) => Promise<any>;
    sendMessage: (args: Helpers.MessageSendType) => Promise<string>;
    mapFromProcessCase: typeof Helpers.mapFromProcessCase;
    mapToProcessCase: typeof Helpers.mapToProcessCase;
};
declare const _default: {
    init: typeof init;
};
export default _default;
export * from './helpers/types';
